import { apiResquest } from '@/utils/lib/request.js'


// 登录
export const login = (query) => {
	return apiResquest({
		url: 'v1/user.login',
		method: 'post',
		query: query
	})
}
// 注册
export const register = (query) => {
	return apiResquest({
		url: 'v1/user.register',
		method: 'post',
		query: query
	})
}

// 用户信息
export const userInfo = (query) => {
	return apiResquest({
		url: 'v1/user.info',
		method: 'get',
		query: query
	})
}


// 用户信息v2
export const preInfo = (query) => {
	return apiResquest({
		url: 'v1/pre.info',
		method: 'get',
		query: query
	})
}

// 修改用户信息v2
export const infoEdit = (query) => {
	return apiResquest({
		url: 'v1/info.edit',
		method: 'post',
		query: query
	})
}



// 资源详情接口
export const fileGet = (query) => {
	return apiResquest({
		url: 'v1/file.get',
		method: 'get',
		query: query
	})
}

// 地址
export const regionList = (query) => {
	return apiResquest({
		url: 'v1/region.list',
		method: 'get',
		query: query
	})
}



